Subject: bug#43759: Emacs Calc date conversion

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Oct 2020 16:22:24 +0200

Vincent Belaïche <[email-masked]> writes:

> I do the following expériment under Emacs CC
>
> ;; Set date format as Unix
> dd U RET
> ;; Enter 1991-01-09T06:00 in Unix format, cf. date -d '1991-01-09T06:00+00'
> '+%s'
> ' <663400800> RET
> ;; Set format as ISO
> dd YYYY-MM-DD HH:mm:SS RET
>
> Then the display is <1991-01-10 06:00>, but I expected the 9th and not
> the 10th of January.

I wondered whether this somehow had also been fixed by Mattias' recent
calc change to business days, but it hasn't -- I'm able to reproduce it
with the current trunk.

This is another off-by-one-day bug, though, so perhaps it's related to
the same change from a few years ago that changed day zero?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no